获取人工介入表单
curl --request GET \
--url https://{api_base_url}/form/human_input/{form_token} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_base_url}/form/human_input/{form_token}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_base_url}/form/human_input/{form_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"form_content": "Please review the draft and confirm or request changes.",
"inputs": [
{
"type": "text_input",
"output_variable_name": "comment",
"default": {
"type": "constant",
"selector": [],
"value": ""
}
}
],
"resolved_default_values": {
"comment": ""
},
"user_actions": [
{
"id": "approve",
"title": "Approve",
"button_style": "primary"
},
{
"id": "reject",
"title": "Request changes",
"button_style": "default"
}
],
"expiration_time": 1745510400
}人工介入
获取人工介入表单
使用 human_input_required 事件返回的 form_token 获取暂停中的人工介入表单内容。需要 WebApp 送达方式。
GET
/
form
/
human_input
/
{form_token}
获取人工介入表单
Authorizations
API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}。强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。
⌘I